#!/bin/sh
echo 'name: tls
version: 0.8.5
id: tls-0.8.5-2bacf8634f314d020e38d0588b5b8792

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-tls
package-url:
description: Native Haskell TLS and SSL protocol implementation for server and client.
             .
             This provides a high-level implementation of a sensitive security protocol,
             eliminating a common set of security issues through the use of the advanced
             type system, high level constructions and common Haskell features.
             .
             Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol,
             with only RSA supported for Key Exchange.
             .
             Only core protocol available here, have a look at the
             <http://hackage.haskell.org/package/tls-extra/> package for default
             ciphers, compressions and certificates functions.
category: Network
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Network.TLS Network.TLS.Cipher
                 Network.TLS.Compression Network.TLS.Internal
hidden-modules: Network.TLS.Cap Network.TLS.Struct Network.TLS.Core
                Network.TLS.Context Network.TLS.Crypto Network.TLS.MAC
                Network.TLS.Measurement Network.TLS.Packet Network.TLS.Record
                Network.TLS.Record.Types Network.TLS.Record.Engage
                Network.TLS.Record.Disengage Network.TLS.State Network.TLS.Sending
                Network.TLS.Receiving Network.TLS.Util Network.TLS.Wire
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/tls-0.8.5
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/tls-0.8.5
              /usr/local/lib
hs-libraries: HStls-0.8.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.3.1.0-c683e1c476645dcbab1b168f8e5a9aeb
         bytestring-0.9.1.10-94a0a1c920aee21a485bdf21fd51b2be
         cereal-0.3.5.1-ea4bd134532aa70e1e1cef3152096148
         certificate-1.0.1-15406e3c05a9d0f360dba1631b36e71e
         crypto-api-0.8-ce8573314267e52643e88949f24a0e5a
         cryptocipher-0.3.0-d0b731c4ef47795138e0f18b6fa97632
         cryptohash-0.7.4-a253e59db018edab15eb5bb2adbbd6b5
         mtl-2.0.1.0-91f62d81c946aa60137dcc008e554a3a
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/tls-0.8.5/html/tls.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/tls-0.8.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
